Skip to main content

Update Workspace Property

Update a custom property in the workspace associated with your API key.


Endpoint

PATCH https://api.campaignlark.com/v1/workspace/properties/:id

Path Parameters

ParameterTypeRequiredDescription
idintegerrequiredThe property ID.

Request Body

FieldTypeRequiredDescription
labelstringrequiredHuman-readable property label (1–64 characters).
merge_tagstringrequiredProperty merge tag (1–96 characters).
valuestringoptionalProperty value (up to 512 characters).

Sample Request

PATCH https://api.campaignlark.com/v1/workspace/properties/12
Content-Type: application/json

{
"label": "Customer Industry",
"merge_tag": "industry",
"value": "Software"
}

Response

Success — 200 OK

{
"error": null,
"data": {
"id": 12,
"label": "Customer Industry",
"merge_tag": "industry",
"value": "Software"
}
}

Property Object

FieldTypeDescription
idintegerUnique property ID.
labelstringHuman-readable property label.
merge_tagstringProperty merge tag used in messages.
valuestringCurrent property value.